NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Die.DieLimitsBuilder Class Reference

Limits a path to a segment of the path. More...

Inheritance diagram for NXOpen.Die.DieLimitsBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Curve GetPath ()
 Get the path used for the limits. More...
 
unsafe void GetPathObjects (out NXOpen.NXObject[] objectArray)
 Get the objects used to create the path. More...
 
unsafe void SetLimitsFromCurve (NXOpen.Curve curve)
 Set the limits from the endpoints of the input curve. More...
 
unsafe void SetPath (NXOpen.Curve path)
 Set the path used for the limits. More...
 
unsafe void SetPathObjects (NXOpen.NXObject[] objectArray)
 Set the objects used to create the path. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector Curve [get]
 Returns the curve used to set the limits. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
Point1 [get]
 Returns the first limit point. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
Point2 [get]
 Returns the last limit point. More...
 
unsafe bool RemoveLimitPoints [get, set]
 Returns or sets the indication that limit points are being removed. More...
 
unsafe int Reverse [get, set]
 Returns or sets the indication that limit points should be reversed. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Limits a path to a segment of the path.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateDieLimits

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.Curve NXOpen.Die.DieLimitsBuilder.GetPath ( )
inline

Get the path used for the limits.

Created in NX8.0.0

License requirements: None.

Returns
unsafe void NXOpen.Die.DieLimitsBuilder.GetPathObjects ( out NXOpen.NXObject[]  objectArray)
inline

Get the objects used to create the path.

Created in NX7.5.0

License requirements: None.

Parameters
objectArrayThe opening objects that were used to create the path.
unsafe void NXOpen.Die.DieLimitsBuilder.SetLimitsFromCurve ( NXOpen.Curve  curve)
inline

Set the limits from the endpoints of the input curve.

Created in NX8.0.0

License requirements: None.

Parameters
curveCurve to set limits
unsafe void NXOpen.Die.DieLimitsBuilder.SetPath ( NXOpen.Curve  path)
inline

Set the path used for the limits.

Created in NX8.0.0

License requirements: None.

Parameters
pathPath curve
unsafe void NXOpen.Die.DieLimitsBuilder.SetPathObjects ( NXOpen.NXObject[]  objectArray)
inline

Set the objects used to create the path.

Created in NX7.5.0

License requirements: None.

Parameters
objectArrayThe opening objects that were used to create the path.
unsafe bool NXOpen.Die.DieLimitsBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Die.DieLimitsBuilder.Curve
get

Returns the curve used to set the limits.

The string will be combined into a single curve and the endpoints of the combined curve will be used to set the first and last limit points.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Die.DieLimitsBuilder.Point1
get

Returns the first limit point.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Die.DieLimitsBuilder.Point2
get

Returns the last limit point.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DieLimitsBuilder.RemoveLimitPoints
getset

Returns or sets the indication that limit points are being removed.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Die.DieLimitsBuilder.Reverse
getset

Returns or sets the indication that limit points should be reversed.

Setting of 1 indicates to reverse.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.